Mantis Bugtracker          
testlink.org

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0008186TestLinkRequirement to Test Case Assignmentpublic2018-01-31 14:252018-02-10 09:06
ReporterKiki 
Assigned Tofman 
PrioritynormalSeverityminorReproducibilityrandom
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version1.9.14 (2015 Q3) 
Fixed in Version 
Summary0008186: Unexpected behavior at the "Assigned Requirements"-View (reqTcAssign.php)
Description- Expected result
@ the "Assigned Requirements"-View you see the correct "Assigned by" Name and the correct "Timestamp"

- Observed result
@ the "Assigned Requirements"-View are partly wrong "Assigned by"-Names and timestamps. But if you look in the database (table `req_coverage`) there are the correct Name-IDs and Timestamps!


- Is the behavior reproducible?
Yes - but not in all (my) Testprojekts. In some Projekts everything looks OK - in other Projekt it is reproducible.



****************
MySQL
    Server Version: 5.5.43-0ubuntu0.12.04.1
    Protokoll-Version: 10
    MySQL-Zeichensatz: UTF-8 Unicode (utf8)

Webserver
    Apache/2.4.12 (Ubuntu)
    MySQL-Client-Version: 5.5.43

phpMyAdmin
    Versionsinformationen: 3.4.10.1deb1
Steps To ReproduceSee attached file.
Additional Information- Working with a personalized version based on V1.9.14
- could reproduced with a V1.9.16 (in a VM-Version) with importet DB (not reproduced with empty DB)

- I noticed that in the table `req_coverage` i have many entries where 'creation_ts' is "0000-00-00 00:00:00" -- but I think that ist not the problem -> I changed all this data on our "playground" to a correct date -
and the problem still exists.
TagsNo tags attached.
Database (MySQL,Postgres,etc)MySQL
BrowserFirefox (main Browser), Problem also with Chrome and Internet Explorer
PHP Version5.25-1
TestCaseID
QA Team - Task Workflow StatusTBD
Attached Filespdf file icon TestLink_RequirementError_final.pdf [^] (293,376 bytes) 2018-01-31 14:25

- Relationships

-  Notes
(0027170)
fman (administrator)
2018-02-03 16:08
edited on: 2018-02-03 16:12

the issue can be in your data if you are not able to reproduce using a fresh install.
without some hint regarding how to reproduce, unfortunately, no action can be taken

(0027191)
fman (administrator)
2018-02-10 09:06

no more user feedback

- Issue History
Date Modified Username Field Change
2018-01-31 14:25 Kiki New Issue
2018-01-31 14:25 Kiki File Added: TestLink_RequirementError_final.pdf
2018-02-03 16:08 fman Note Added: 0027170
2018-02-03 16:08 fman Assigned To => fman
2018-02-03 16:08 fman Status new => feedback
2018-02-03 16:10 fman Note Edited: 0027170 View Revisions
2018-02-03 16:12 fman Note Edited: 0027170 View Revisions
2018-02-10 09:06 fman QA Team - Task Workflow Status => TBD
2018-02-10 09:06 fman Note Added: 0027191
2018-02-10 09:06 fman Status feedback => closed
2018-02-10 09:06 fman Resolution open => fixed



Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker